import request from '@/utils/request'

// 查询资产清单列表
export function listAssetlist(query) {
  return request({
    url: '/reliability/assetlist/list',
    method: 'get',
    params: query
  })
}

// 查询资产清单详细
export function getAssetlist(id) {
  return request({
    url: '/reliability/assetlist/' + id,
    method: 'get'
  })
}

// 新增资产清单
export function addAssetlist(data) {
  return request({
    url: '/reliability/assetlist',
    method: 'post',
    data: data
  })
}

// 修改资产清单
export function updateAssetlist(data) {
  return request({
    url: '/reliability/assetlist',
    method: 'put',
    data: data
  })
}

// 删除资产清单
export function delAssetlist(id) {
  return request({
    url: '/reliability/assetlist/' + id,
    method: 'delete'
  })
}

// 导出资产清单
export function exportAssetlist(query) {
  return request({
    url: '/reliability/assetlist/export',
    method: 'get',
    params: query
  })
}